import 'package:zwave/src/command_class_ids.g.dart'
    show METER_TBL_TABLE_CAPABILITY_REPORT;

export 'package:zwave/src/command_class_ids.g.dart';
export 'package:zwave/src/function_ids.g.dart';
export 'package:zwave/src/notification_types.dart';
export 'package:zwave/src/sensor_multilevel_types.dart';

// --- COMMAND_CLASS_METER = 0x32
//     METER_REPORT = 0x02
const METER_ELECTRICAL = 0x01;

// --- COMMAND_CLASS_SENSOR_MULTILEVEL = 0x31
//     SENSOR_MULTILEVEL_REPORT = 0x05;
const SENSOR_MULTILEVEL_AIR_TEMPERATURE = 0x01;
const SENSOR_MULTILEVEL_POWER = 0x04;
const SENSOR_MULTILEVEL_HUMIDITY = 0x05;

// -- COMMAND_CLASS_METER_TBL_MONITOR = 0x3D;
// support old name
const METER_TBL_REPORT = METER_TBL_TABLE_CAPABILITY_REPORT;

// --- FUNC_ID_ZW_APPLICATION_UPDATE
const UPDATE_STATE_NODE_INFO_RECEIVED = 0x84;
const UPDATE_STATE_NODE_INFO_REQ_DONE = 0x82;
const UPDATE_STATE_NODE_INFO_REQ_FAILED = 0x81;
const UPDATE_STATE_ROUTING_PENDING = 0x80;
const UPDATE_STATE_NEW_ID_ASSIGNED = 0x40;
const UPDATE_STATE_DELETE_DONE = 0x20;
const UPDATE_STATE_SUC_ID = 0x10;

const UPDATE_STATE_NAMES = <int, String>{
  UPDATE_STATE_NODE_INFO_RECEIVED: 'UPDATE_STATE_NODE_INFO_RECEIVED',
  UPDATE_STATE_NODE_INFO_REQ_DONE: 'UPDATE_STATE_NODE_INFO_REQ_DONE',
  UPDATE_STATE_NODE_INFO_REQ_FAILED: 'UPDATE_STATE_NODE_INFO_REQ_FAILED',
  UPDATE_STATE_ROUTING_PENDING: 'UPDATE_STATE_ROUTING_PENDING',
  UPDATE_STATE_NEW_ID_ASSIGNED: 'UPDATE_STATE_NEW_ID_ASSIGNED',
  UPDATE_STATE_DELETE_DONE: 'UPDATE_STATE_DELETE_DONE',
  UPDATE_STATE_SUC_ID: 'UPDATE_STATE_SUC_ID',
};
